.lottery-template {
    background: linear-gradient(173.84deg, #FF7628 41.94%, #CC1817 114.38%);
    font-family: Montserrat, Arial, sans-serif;
    min-height: 100dvh;
    margin: 0 auto;
    color: #fff;
}

.lottery-template * {
    box-sizing: border-box;
}

.lottery-page {
    width: 100%;
    max-width: 640px;
    min-height: 100dvh;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.lottery-page__container {
    width: 100%;
    max-width: 640px;
    flex: 0 0 auto;
    margin: 0 auto;
    padding: 0 20px ;
}

.lottery-page__heart-counter {
    display: flex;
    justify-content: center;
    margin-top: 26px;
    margin-bottom: 12px;
}



.lottery-page__card-container{
    width: 100%;
    background: #fff;
    display: flex;
    flex-direction: column;
    height: auto;
    gap: 16px;
    border-radius: 12px 12px 0 0 ;

    /*padding: 20px 20px 0;*/
    padding: 20px 20px 40px;

    flex: 1;
}

.lottery-page__super-prize-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.lottery-page__prize-grid {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 16px;
}

.lottery-page__super-prize-list > *,
.lottery-page__prize-grid > * {
    flex: 0 0 auto;
}
